CVE-2016-2183 修复过程,亲测有效

金城宇
  1. 问题描述
SSL/TLS协议信息泄露漏洞(CVE-2016-2183)

TLS是安全传输层协议,用于在两个通信应用程序之间提供保密性和数据完整性。
TLS, SSH, IPSec协商及其他产品中使用的DES及Triple DES密码存在大约四十亿块的生日界,这可使远程攻击者通过Sweet32攻击,获取纯文本数据。

2.问题解决过程

首先从这个漏洞介绍中得知

OpenSSL 1.1.0 以后没有此漏洞,并且本地的openssl 版本高于1.1.0

换个思路去找问题

通过下面链接了解nmap 扫描工具可以知道漏洞的来源(复测)

nmap安装方式请另行百度(案例的服务器是redhat,去官网下载的rpm包,rpm -ivh 包就安装成功了)

通过下面的命令得到结果
nmap -sV --script ssl-enum-ciphers -p 443 www.example.com (ip 也可以)

image.png

发现3DES 加密是C级别的,并且有个warning 跟 CVE-2016-2183 的描述大概一致

3.解决问题

通过配置nginx 的设置 ssl_ciphers HIGH:!aNULL:!MD5:!3DES;
注: !3DES是后添加的过滤

之后nginx -t 检查配置文件
nginx -s reload 重启nginx

4.复测
nmap -sV --script ssl-enum-ciphers -p 443 www.example.com (ip 也可以)

image.png

问题解决

阅读 10.9k
4 声望
0 粉丝
0 条评论
你知道吗?

4 声望
0 粉丝
宣传栏